blob: 781b307934e619dca89f6fbd5f7bc47907c3312a [file] [log] [blame]
DEFINED_PHASES=compile configure install prepare setup test unpack
DEPEND=test? ( >=sys-devel/gcc-4.8:* >=dev-libs/boost-1.54[nls] net-misc/curl ) sys-devel/make >=dev-util/cmake-2.8.12 ruby_targets_ruby20? ( dev-lang/ruby:2.0 ) ruby_targets_ruby21? ( dev-lang/ruby:2.1 ) ruby_targets_ruby22? ( dev-lang/ruby:2.2 )
DESCRIPTION=A C++ toolkit
EAPI=5
HOMEPAGE=https://github.com/puppetlabs/leatherman
IUSE=debug test elibc_FreeBSD ruby_targets_ruby20 ruby_targets_ruby21 ruby_targets_ruby22
KEYWORDS=~amd64 ~hppa ~ppc ~ppc64 ~x86
LICENSE=Apache-2.0
RDEPEND=>=sys-devel/gcc-4.8:* >=dev-libs/boost-1.54[nls] net-misc/curl ruby_targets_ruby20? ( dev-lang/ruby:2.0 ) ruby_targets_ruby21? ( dev-lang/ruby:2.1 ) ruby_targets_ruby22? ( dev-lang/ruby:2.2 )
REQUIRED_USE=|| ( ruby_targets_ruby20 ruby_targets_ruby21 ruby_targets_ruby22 )
SLOT=0
SRC_URI=https://github.com/puppetlabs/leatherman/archive/0.4.2.tar.gz -> leatherman-0.4.2.tar.gz
_eclasses_=cmake-utils f3d38665b0a86e08ba3a5473cdbfafd3 eutils b83a2420b796f7c6eff682679d08fe25 flag-o-matic 8632fcd33a047954f007dee9a137bdcc java-utils-2 9a25f292ff66f8c2c00100ac0b15c54f multilib 165fc17c38d1b11dac2008280dab6e80 ruby-ng 3b6431b487e69b5070a45ea20d1c4c6c ruby-utils 2f896785ed65442d7e84ab5f5eef3bd3 toolchain-funcs 6198c04daba0e1307bd844df7d37f423 versionator 99ae9d758cbe7cfed19170e7d48f5a9c
_md5_=1fdc84c478cd73027e33651eb208a410